(* O'Caml Freenet Client Protocol client module                     *)
(* by Travis Bemann                                                 *)
(*                                                                  *)
(* This program is free software; you can redistribute it and/or    *)
(* modify it under the terms of the GNU Lesser General Public       *)
(* License as published by the Free Software Foundation; either     *)
(* version 2 of the License, or (at your option) any later version. *)
(*                                                                  *)
(* This program is distributed in the hope that it will be useful,  *)
(* but WITHOUT ANY WARRANTY; without even the implied warranty of   *)
(* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the    *)
(* GNU Lesser General Public License for more details.              *)

val strip_left : string -> string
val strip_right : string -> string
val strip : string -> string
val split_line : string -> string * string
val split_line_full : string -> string list
val int_of_hex : string -> int
val split2 : string -> char -> string * string
val splitstrip2 : string -> char -> string * string
